Results 1 to 3 of 3

Thread: Release of amanda-2.6.0

  1. #1
    Join Date
    Nov 2005
    Location
    Canada
    Posts
    874

    Default Release of amanda-2.6.0

    The Amanda core team is pleased to announce the release of Amanda 2.6.0.


    Source tarballs are available from

    * http://www.amanda.org
    * https://sourceforge.net/project/show...p?group_id=120

    Binaries for many systems are available from

    * http://www.zmanda.com/download-amanda.php

    Documentation can be found at

    * http://wiki.zmanda.com



    Here's a list of the changes for release 2.6.0 (from the NEWS file):
    Look at the ReleaseNotes and ChangeLog file for more details.

    * configure --disable-shared doesn't work because perl modules require shared libraries. Use configure --with-static-binaries to build statically linked binaries.
    * New --enable-kitche-sink flag: calls the plumber when you kitchen sink is backed up.
    * 'amverify' and 'amverifyrun' are deprecated and replaced with the
    * new, more flexible 'amcheckdump'
    * 'amdd' and 'ammt' are deprecated.
    * Some Amanda files are now installed in new "amanda/" subdirectories: libraries are now installed in $libdir/amanda and internal programs are now installed in $libexecdir/amanda. If you mix 2.6.0 and earlier version with rsh/ssh auth, you need to add an 'amandad_path' to the dumptype and to amanda-client.conf.
    * The amandates file, previously at /etc/amandates, is now at $localstatedir/amanda/amandates. You may want to move your existing /etc/amandates when you upgrade Amanda.
    * New 'amcryptsimple', 'amgpgcrypt' - encryption plugins based on gpg.
    * New amenigma - WWII enigma machine encryption. Super duper secure.
    * New 'amserverconfig', 'amaddclient' - Initial Amanda configuration tools these tools make assumptions, please see man page.
    * Many bugs fixed and code rewrite/cleanup
    o Speedup in 'amrecover find' and starting amrecover.
    * glib is required to compile and run amanda.
    * Device API: pluggable interface to storage devices, supporting tapes, vtapes, RAIT, and Amazon S3
    * New perl modules link directly to Amanda, to support writing Amanda applications in Perl. Perl module are installed by default in the perl installsitelib directory. It can be changed with 'configure --with-amperldir'. * New 'local' security driver supports backups of the amanda server without any network connection or other configuration.
    * Almost 200 unit tests are available via 'make installcheck'.
    * Amanda configuration file changes
    o amanda.conf changes
    + flush-threshold-dumped
    + flush-threshold-scheduled
    + taperflush
    + device_property
    + usetimestamps default to yes


    Jean-Louis Martineau

  2. #2

    Default Amanda 2.6.0

    Is there a safe way of upgrading 2.5.xxx to the new version? if so can someone please give me a few pointers? Im using Fc7. Also is there some instructions on how to install and configure Amanda and also create automatic backups using cron, if so how?

    Finally Im reading there is possibly a GUI for 2.6.0, is this true?

  3. #3

    Default

    Quote Originally Posted by gorgon40 View Post
    Is there a safe way of upgrading 2.5.xxx to the new version? if so can someone please give me a few pointers? Im using Fc7. Also is there some instructions on how to install and configure Amanda and also create automatic backups using cron, if so how?
    Upgrade steps depends on your configuration. Take a look at the amanda configuration changes in 2.6.x here

    You can take a look at quick backup configuration paper if you are using packages available at Zmanda downloads page.



    Finally Im reading there is possibly a GUI for 2.6.0, is this true?
    UI is available for Amanda Enterprise.

    Paddy

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •